Telegram APIMessages
messages.hideChatJoinRequest
Dismiss or approve a chat join request related to a specific chat or channel.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Dismiss or approve a chat join request related to a specific chat or channel.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.hideChatJoinRequest" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "userId": { "_": "inputUserEmpty" } } }'{ "result": { "_": "updatesTooLong" }}hideAllChatJoinRequests
Dismiss or approve all [join requests](https://core.telegram.org/api/invites#join-requests) related to a specific chat or channel.
hidePeerSettingsBar
Should be called after the user hides the [report spam/add as contact bar](https://core.telegram.org/api/action-bar) of a new chat, effectively prevents the user from executing the actions specified in the [action bar »](https://core.telegram.org/api/action-bar).